| Home | Libraries | People | FAQ | More

##### windows::basic_random_access_handle::basic_random_access_handle (1 of 3 overloads)

Construct a `windows::basic_random_access_handle` without opening it.

    basic_random_access_handle(
        boost::asio::io_service & io_service);

This constructor creates a random-access handle without opening it. The handle needs to be opened before data can be written to or read from it.

###### Parameters

io_service

  The `io_service` object that the random-access handle will use to dispatch handlers for any asynchronous operations performed on the handle.